using Modules.Library.Database.Database.Models.Genre;

namespace Modules.Library.Database.GatewaysImplementations.Converters;

internal static class GenreConverter
{
    internal static Domain.Entities.Genre.Genre ConvertToDomain(Genre genre)
    {
        return Domain.Entities.Genre.Genre.New(new Domain.Models.Genre
        {
            Id = genre.Id,
            Name = genre.Name,
            Deleted = genre.Deleted,
        });
    }
    internal static Application.Models.Genre Convert(Genre genre)
    {
        return new Application.Models.Genre
        {
            Id = genre.Id,
            Name = genre.Name,
            Deleted = genre.Deleted,
        };
    }
}